Index: examples/example_scripts/.runall
===================================================================
--- examples/example_scripts/.runall	(revision 880e9244d9674fdb0fe8312fc92821d1e1cccd23)
+++ 	(revision )
@@ -1,37 +1,0 @@
-#!/bin/sh 
-
-# format,
-#   runall clean
-#   runall run
-
-progname=$(basename $0)
-pwd=`pwd`
-
-if [ $# -eq 0 ]; then
-    echo "Usage: $progname (clean|run)" >&2;
-    exit 1
-fi
-
-ABAC_PROVER_PATH=`which abac_prover_yap | sed 's/\/abac_prover_yap//'`
-export ABAC_PROVER_PATH
-
-if [ "$1" = "clean" ]; then
-    rm -rf allout.tmp 
-    for i in `ls -1 `; do
-        if [ -d $i ]; then
-            printf "\n ==> CLEANING on %s\n" "$i" >& 2 ;
-            cd $i
-            make realclean
-            cd $pwd
-        fi
-    done
-elif [ "$1" = "run" ] ; then
-    for i in `ls -1 `; do
-        if [ -d $i ]; then
-            printf "\n ==> RUN on %s\n" "$i" ;
-            cd $i
-            ./run_test
-            cd $pwd
-        fi
-    done
-fi 
Index: examples/example_scripts/c/Makefile
===================================================================
--- examples/example_scripts/c/Makefile	(revision 880e9244d9674fdb0fe8312fc92821d1e1cccd23)
+++ examples/example_scripts/c/Makefile	(revision 8de54abe23504c408c1f235f3ce743924ccb0e29)
@@ -15,8 +15,5 @@
 
 clean:
-	@rm -f abac_attr.o abac_attr *.pem *.der abac_prover.o abac_prover
-
-realclean: 
-	@rm -f abac_attr.o abac_attr *.pem *.der abac_prover.o abac_prover *.log 
+	@rm -f abac_attr.o abac_attr *.pem *.der abac_prover.o abac_prover *.log
 
 setup: abac_attr abac_prover
Index: examples/example_scripts/c/abac_prover.c
===================================================================
--- examples/example_scripts/c/abac_prover.c	(revision 880e9244d9674fdb0fe8312fc92821d1e1cccd23)
+++ examples/example_scripts/c/abac_prover.c	(revision 8de54abe23504c408c1f235f3ce743924ccb0e29)
@@ -37,4 +37,6 @@
     printf("with %s\n", with);
 
+    int k=100;
+while(k) {
     credentials = abac_context_query(ctx,
                             query, with,
@@ -53,4 +55,6 @@
     if(credentials)
         abac_context_credentials_free(credentials);
+    k--;
+}
 
     abac_context_free(ctx);
Index: examples/example_scripts/c/run_prover
===================================================================
--- examples/example_scripts/c/run_prover	(revision 880e9244d9674fdb0fe8312fc92821d1e1cccd23)
+++ examples/example_scripts/c/run_prover	(revision 8de54abe23504c408c1f235f3ce743924ccb0e29)
@@ -10,4 +10,7 @@
 ./abac_prover "$keystore" "$role" "$principal"
 
+#echo "$keystore" "$role" "$principal"
+#gdb ./abac_prover
 
 
+
Index: examples/example_scripts/perl/Makefile
===================================================================
--- examples/example_scripts/perl/Makefile	(revision 880e9244d9674fdb0fe8312fc92821d1e1cccd23)
+++ examples/example_scripts/perl/Makefile	(revision 8de54abe23504c408c1f235f3ce743924ccb0e29)
@@ -2,8 +2,5 @@
 
 clean:
-	@rm -rf *.pem *.der
-
-realclean:
-	@rm -rf *.pem *.der *.log 
+	@rm -rf *.pem *.der *.log
 
 setup: 
Index: examples/example_scripts/python/Makefile
===================================================================
--- examples/example_scripts/python/Makefile	(revision 880e9244d9674fdb0fe8312fc92821d1e1cccd23)
+++ examples/example_scripts/python/Makefile	(revision 8de54abe23504c408c1f235f3ce743924ccb0e29)
@@ -3,7 +3,4 @@
 
 clean:
-	@rm -f *.pem *.der 
-
-realclean:
 	@rm -f *.pem *.der *.log pfile
 
Index: examples/example_scripts/runcheck
===================================================================
--- examples/example_scripts/runcheck	(revision 880e9244d9674fdb0fe8312fc92821d1e1cccd23)
+++ 	(revision )
@@ -1,19 +1,0 @@
-#!/bin/sh 
-
-rm -rf allout.tmp
-
-./.runall clean 1 >/dev/null 2>&1
-
-ABAC_PROVER_PATH=`which abac_prover_yap | sed 's/\/abac_prover_yap//'`
-export ABAC_PROVER_PATH
-
-echo '\n'
-echo 'running libabac SCRIPT testing...'
-./.runall run 1> allout.tmp 2>/dev/null
-result=`diff allout.tmp allout.save`
-
-if [ "$result" = "" ]; then
-   echo "   PASSED"
-else
-   echo "   ERROR:got changes!!!"
-fi
